package com.ydl.confide.api

import android.app.Activity
import android.content.Context
import android.content.Intent
import android.support.v4.app.DialogFragment
import com.alibaba.android.arouter.facade.template.IProvider

interface IConfideService : IProvider {
    fun phoneCallIntent(activity: Activity): Intent

    fun phoneCallFragment(head: String, callId: String): DialogFragment

    fun closePlayer()

    //倾诉首页
    fun openConfideHome(context: Context)
}